Bug 1569844 - [abrt] gnome-control-center: gtk_style_context_clear_property_cache(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: gtk_style_context_clear_property_cache(): gnome-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e626fbc35ad724341018a7f4976...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 05:25 UTC by Fabio
Modified: 2019-05-28 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:15:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.80 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: cgroup (331 bytes, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: core_backtrace (21.96 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: dso_list (28.59 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: environ (3.62 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: maps (127.77 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: mountinfo (3.81 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: open_fds (1.79 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-20 05:26 UTC, Fabio
no flags Details

Description Fabio 2018-04-20 05:25:58 UTC
Description of problem:
Leonovo P50 using Hibrid Video Card. Using discrete BIOS setting, it crashes always :(

Version-Release number of selected component:
gnome-control-center-3.28.1-2.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=5c59b69c554a4630bd23e6653af45a55;i=7f65;b=b975899517b242ffbd4c29dca3265d28;m=353013ed;t=56a2d0a832f75;x=e0da0ba734da166f
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_style_context_clear_property_cache at gtkstylecontext.c:272
 #1 gtk_style_context_finalize at gtkstylecontext.c:385
 #3 gtk_widget_finalize at gtkwidget.c:12307
 #5 gtk_container_destroy at gtkcontainer.c:1700
 #10 gtk_widget_dispose at gtkwidget.c:12092
 #12 gtk_header_bar_forall at gtkheaderbar.c:1745
 #13 gtk_container_destroy at gtkcontainer.c:1700
 #18 gtk_widget_dispose at gtkwidget.c:12092
 #20 gtk_box_forall at gtkbox.c:2671
 #21 gtk_container_destroy at gtkcontainer.c:1700

Comment 1 Fabio 2018-04-20 05:26:04 UTC
Created attachment 1424378 [details]
File: backtrace

Comment 2 Fabio 2018-04-20 05:26:05 UTC
Created attachment 1424379 [details]
File: cgroup

Comment 3 Fabio 2018-04-20 05:26:07 UTC
Created attachment 1424380 [details]
File: core_backtrace

Comment 4 Fabio 2018-04-20 05:26:08 UTC
Created attachment 1424381 [details]
File: cpuinfo

Comment 5 Fabio 2018-04-20 05:26:11 UTC
Created attachment 1424382 [details]
File: dso_list

Comment 6 Fabio 2018-04-20 05:26:12 UTC
Created attachment 1424383 [details]
File: environ

Comment 7 Fabio 2018-04-20 05:26:14 UTC
Created attachment 1424384 [details]
File: exploitable

Comment 8 Fabio 2018-04-20 05:26:15 UTC
Created attachment 1424385 [details]
File: limits

Comment 9 Fabio 2018-04-20 05:26:18 UTC
Created attachment 1424386 [details]
File: maps

Comment 10 Fabio 2018-04-20 05:26:19 UTC
Created attachment 1424387 [details]
File: mountinfo

Comment 11 Fabio 2018-04-20 05:26:20 UTC
Created attachment 1424388 [details]
File: open_fds

Comment 12 Fabio 2018-04-20 05:26:22 UTC
Created attachment 1424389 [details]
File: proc_pid_status

Comment 13 kartochka22 2018-05-10 15:05:04 UTC
Similar problem has been detected:

Tried to check mouse acceleraton, open settings, play a bit with double click/scroll test with girl+kite, do NOT change anything, close settings. Got abrt notification after 10-20 seconds while reading firefox.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        gnome-control-center --overview
crash_function: gtk_style_context_clear_property_cache
executable:     /usr/bin/gnome-control-center
journald_cursor: s=a60b53ad511240fbb1f0f305bbf03259;i=169228;b=76b57bb6271645608dd70b3db95be35c;m=51838268d;t=56bdb3531c712;x=9a45d7c8d63687ea
kernel:         4.16.7-300.fc28.x86_64
package:        gnome-control-center-3.28.1-2.fc28
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Nils Philippsen 2018-05-15 09:20:01 UTC
Similar here: opened Settings, went to the Devices/Displays page and closed it again.

Comment 15 Ben Cotton 2019-05-02 21:46:43 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 20:15:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.